
Packaging - Bug #5691

Debian: Foreman core and plugin upgrade fails

05/13/2014 12:42 PM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Greg Sutcliffe   

Category: Debian/Ubuntu   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

etched 60.6 MB in 35s (1726 kB/s)

Reading changelogs...

Preconfiguring packages ...

(Reading database ... 44403 files and directories currently installed.)

Preparing to replace linux-image-3.2.0-4-amd64 3.2.57-3 (using .../linux-image-3.2.0-4-amd64_3.2.5

7-3+deb7u1_amd64.deb) ...

Unpacking replacement linux-image-3.2.0-4-amd64 ...

Examining /etc/kernel/postrm.d .

run-parts: executing /etc/kernel/postrm.d/initramfs-tools 3.2.0-4-amd64 /boot/vmlinuz-3.2.0-4-amd6

4

run-parts: executing /etc/kernel/postrm.d/zz-update-grub 3.2.0-4-amd64 /boot/vmlinuz-3.2.0-4-amd64

Preparing to replace linux-libc-dev:amd64 3.2.57-3 (using .../linux-libc-dev_3.2.57-3+deb7u1_amd64

.deb) ...

Unpacking replacement linux-libc-dev:amd64 ...

Preparing to replace ruby-highline 1.6.19-1 (using .../ruby-highline_1.6.21-1_all.deb) ...

Unpacking replacement ruby-highline ...

Preparing to replace ruby-table-print 1.4.0-1 (using .../ruby-table-print_1.5.1-1_all.deb) ...

Unpacking replacement ruby-table-print ...

Preparing to replace foreman 1.4.4-1 (using .../foreman_1.5.0-1_amd64.deb) ...

Unpacking replacement foreman ...

Preparing to replace foreman-compute 1.4.4-1 (using .../foreman-compute_1.5.0-1_all.deb) ...

Unpacking replacement foreman-compute ...

Preparing to replace foreman-console 1.4.4-1 (using .../foreman-console_1.5.0-1_all.deb) ...

Unpacking replacement foreman-console ...

Preparing to replace foreman-gce 1.4.4-1 (using .../foreman-gce_1.5.0-1_all.deb) ...

Unpacking replacement foreman-gce ...

Preparing to replace foreman-libvirt 1.4.4-1 (using .../foreman-libvirt_1.5.0-1_all.deb) ...

Unpacking replacement foreman-libvirt ...

Preparing to replace foreman-postgresql 1.4.4-1 (using .../foreman-postgresql_1.5.0-1_all.deb) ...

Unpacking replacement foreman-postgresql ...

Preparing to replace foreman-proxy 1.4.4-1 (using .../foreman-proxy_1.5.0-1_all.deb) ...

Unpacking replacement foreman-proxy ...

Preparing to replace foreman-vmware 1.4.4-1 (using .../foreman-vmware_1.5.0-1_all.deb) ...

Unpacking replacement foreman-vmware ...

Preparing to replace ruby-foreman-bootdisk 2.0.3 (using .../ruby-foreman-bootdisk_2.0.5_all.deb) .

..

Unpacking replacement ruby-foreman-bootdisk ...

Preparing to replace ruby-foreman-default-hostgroup 1.1.0 (using .../ruby-foreman-default-hostgrou

p_2.0.1_all.deb) ...

Unpacking replacement ruby-foreman-default-hostgroup ...

Preparing to replace ruby-foreman-discovery 1.2.0 (using .../ruby-foreman-discovery_1.3.0~rc2_all.

deb) ...

Unpacking replacement ruby-foreman-discovery ...

Setting up linux-image-3.2.0-4-amd64 (3.2.57-3+deb7u1) ...

Running depmod.

Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 3.2.0-4-amd64 /boot/vmlinuz-3.2.0-4-am

d64

update-initramfs: Generating /boot/initrd.img-3.2.0-4-amd64

run-parts: executing /etc/kernel/postinst.d/zz-update-grub 3.2.0-4-amd64 /boot/vmlinuz-3.2.0-4-amd

64

Generating grub.cfg ...

Found linux image: /boot/vmlinuz-3.2.0-4-amd64

Found initrd image: /boot/initrd.img-3.2.0-4-amd64

Found iPXE image: /boot/ipxe.lkrn

done

Setting up linux-libc-dev:amd64 (3.2.57-3+deb7u1) ...

Setting up ruby-highline (1.6.21-1) ...

Setting up ruby-table-print (1.5.1-1) ...

Setting up foreman (1.5.0-1) ...

Installing new version of config file /etc/cron.d/foreman ...

dpkg: error processing foreman (--configure):

 subprocess installed post-installation script returned error exit status 7

dpkg: dependency problems prevent configuration of foreman-compute:

 foreman-compute depends on foreman; however:

  Package foreman is not configured yet.

dpkg: error processing foreman-compute (--configure):

 dependency problems - leaving unconfigured

dpkg: dependency problems prevent configuration of foreman-console:

 foreman-console depends on foreman; however:

  Package foreman is not configured yet.

dpkg: error processing foreman-console (--configure):

 dependency problems - leaving unconfigured

dpkg: dependency problems prevent configuration of foreman-gce:

 foreman-gce depends on foreman; however:

  Package foreman is not configured yet.

 foreman-gce depends on foreman-compute; however:

  Package foreman-compute is not configured yet.

dpkg: error processing foreman-gce (--configure):

 dependency problems - leaving unconfigured

dpkg: dependency problems prevent configuration of foreman-libvirt:

 foreman-libvirt depends on foreman; however:

  Package foreman is not configured yet.

 foreman-libvirt depends on foreman-compute; however:

  Package foreman-compute is not configured yet.

dpkg: error processing foreman-libvirt (--configure):

 dependency problems - leaving unconfigured

dpkg: dependency problems prevent configuration of foreman-postgresql:

 foreman-postgresql depends on foreman; however:

  Package foreman is not configured yet.

dpkg: error processing foreman-postgresql (--configure):

 dependency problems - leaving unconfigured

Setting up foreman-proxy (1.5.0-1) ...

/usr/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in `require': iconv will be deprecated in the fu

ture, use String#encode instead.

Starting Foreman Proxy on 8443 using WEBrick

dpkg: dependency problems prevent configuration of foreman-vmware:

 foreman-vmware depends on foreman; however:

  Package foreman is not configured yet.

 foreman-vmware depends on foreman-compute; however:

  Package foreman-compute is not configured yet.

dpkg: error processing foreman-vmware (--configure):

 dependency problems - leaving unconfigured

dpkg: dependency problems prevent configuration of ruby-foreman-bootdisk:

 ruby-foreman-bootdisk depends on foreman; however:

  Package foreman is not configured yet.
dpkg: error processing ruby-foreman-bootdisk (--configure):

 dependency problems - leaving unconfigured

dpkg: dependency problems prevent configuration of ruby-foreman-default-hostgroup:

 ruby-foreman-default-hostgroup depends on foreman; however:

  Package foreman is not configured yet.

dpkg: error processing ruby-foreman-default-hostgroup (--configure):

 dependency problems - leaving unconfigured

dpkg: dependency problems prevent configuration of ruby-foreman-discovery:

 ruby-foreman-discovery depends on foreman; however:

  Package foreman is not configured yet.

dpkg: error processing ruby-foreman-discovery (--configure):

 dependency problems - leaving unconfigured

Errors were encountered while processing:

 foreman

 foreman-compute

 foreman-console

 foreman-gce

 foreman-libvirt

 foreman-postgresql

 foreman-vmware

 ruby-foreman-bootdisk

 ruby-foreman-default-hostgroup

 ruby-foreman-discovery

E: Sub-process /usr/bin/dpkg returned an error code (1)

 With DEBUG=1, it showed:

Could not find gem 'foreman_discovery (= 1.3.0.rc2) ruby' in the gems available on this machine.

 Removing the plugin packages and upgrading again solved the problem.

I'd guess upgrading core and plugins simultaneously won't work as the gem from the plugin package won't yet have been installed,

so the bundle install --local in the core foreman postinst won't run successfully.

Related issues:

Has duplicate Foreman - Bug #5763: aptitude full-upgrade 1.5.0-rc1 to 1.5.0-r... Duplicate 05/16/2014

History

#1 - 05/19/2014 07:15 AM - Dominic Cleal

- Has duplicate Bug #5763: aptitude full-upgrade 1.5.0-rc1 to 1.5.0-rc2 failed added

#2 - 08/27/2014 02:26 AM - Dominic Cleal

- Category set to Debian/Ubuntu

- Status changed from New to Assigned

- Assignee set to Greg Sutcliffe

- Target version set to 1.7.4

Greg's got some work in progress to package the gem cache inside the plugin packages inside of just a bundler file, so bundle install --local will work.

#3 - 08/28/2014 11:48 AM - Dominic Cleal

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

- translation missing: en.field_release set to 10

https://github.com/theforeman/foreman-packaging/pull/329 changed the plugin packages to include the cached gem + deps.  Built into 1.6 and

nightlies.
